<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>#{notaBean.descricaoTelaEdicao}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <h:outputStylesheet library="webjars" name="primeflex/3.2.1/primeflex.min.css"/>
</h:head>

<h:body>
    <h:form>
        <p:messages id="msg" closable="true" showDetail="true" skipDetailIfEqualsSummary="true" styleClass="m-2">
            <p:autoUpdate/>
        </p:messages>

        <div class="ml-2 mr-2">
            <div class="formgrid grid">
                <span class="field col-12">
                    <p:outputLabel styleClass="block" value="Título" for="@next"/>
                    <p:inputText value="#{notaBean.nota.title}" styleClass="w-full"/>
                </span>
                <span class="field col-12">
                    <p:outputLabel styleClass="block" value="Corpo" for="@next"/>
                    <p:inputText value="#{notaBean.nota.body}" styleClass="w-full"/>
                </span>
            </div>

            <p:commandButton icon="pi pi-save" action="#{notaBean.salvarEdicao()}" value="Salvar" title="Salvar"/>
        </div>
    </h:form>

</h:body>

</html>
